Skip to main content
PUT
Update Message

Authorizations

x-api-key
string
header
required

API key for authentication. Create one from the Kodexa platform UI under Settings > Access Tokens.

Path Parameters

id
string<uuid>
required

Unique identifier (UUID) of the resource.

Body

application/json

A message is an individual communication within a channel.

assistant
object | null

An assistant is an AI-powered processor that analyzes and extracts data from documents within a project.

assistantId
string | null
block
object
changeSequence
integer<int32>

Optimistic locking version number.

channel
object | null

A channel provides real-time messaging and communication within the platform.

channelId
string | null
content
string
context
object
eventExpiresAt
string<date-time> | null
feedback
object
messageSequence
integer<int64>
messageType
enum<string>
Available options:
TEXT,
BLOCK,
TEMPLATE
user
object | null

A platform user represents a user account in the Kodexa platform.

userId
string | null

Response

Updated Message

A message is an individual communication within a channel.

assistant
object | null
required

An assistant is an AI-powered processor that analyzes and extracts data from documents within a project.

assistantId
string | null
required
block
object
required
changeSequence
integer<int32>
required

Optimistic locking version number.

channel
object | null
required

A channel provides real-time messaging and communication within the platform.

channelId
string | null
required
content
string
required
context
object
required
createdOn
string<date-time>
required

Timestamp when the message was created.

eventExpiresAt
string<date-time> | null
required
feedback
object
required
id
string
required

Unique identifier (UUID) for the message.

messageSequence
integer<int64>
required
messageType
enum<string>
required
Available options:
TEXT,
BLOCK,
TEMPLATE
updatedOn
string<date-time>
required

Timestamp when the message was last updated.

user
object | null
required

A platform user represents a user account in the Kodexa platform.

userId
string | null
required
uuid
string
required

Secondary UUID identifier.